
Name:		asciidoc
Version:	9.1.0
Release:	%mkrel 1
Summary:	Tool to convert custom-formatted text files to DocBook, HTML or Unix man pages
License:	GPLv2+
Group:		Publishing
Url:		https://github.com/asciidoc/asciidoc-py3
Source0:	https://github.com/asciidoc/asciidoc-py3/archive/%{version}%{?prel}/asciidoc-py3-%{version}%{?prel}.tar.xz
BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	dos2unix
BuildRequires:	docbook-dtd45-xml
BuildRequires:	xsltproc
Requires:	python3
Requires:	xmllint
Requires:	docbook-style-xsl
Requires:	xsltproc
#Recommends:	dblatex
#Recommends:	fop
#Recommends:	w3m

%description
AsciiDoc is a text document format for writing short documents, articles,
books and UNIX man pages.

%prep
%setup -qn %{name}-py-%{version}

for i in CHANGELOG.txt README.asciidoc;
do
    iconv -f ISO-8859-1 -t UTF-8 -o $i.UTF-8 $i
    mv  $i.UTF-8 $i
done
for i in  doc/book-multi.txt doc/article.txt COPYRIGHT doc/faq.txt filters/code/code-filter-readme.txt \
doc/asciidoc.1.txt filters/code/code-filter-test.txt doc/book.txt doc/latex-backend.txt;
do
    dos2unix < $i > $i.fixed ; mv -f $i.fixed $i ;
done

%build
autoreconf -vfi
%configure2_5x
%make_build

%install
%make_install

%files
%doc doc/*.txt filters/*/*.txt
%doc %{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/%{name}/
%{_bindir}/%{name}.py
%{_bindir}/%{name}
%{_bindir}/a2x.py
%{_bindir}/a2x


%changelog
* Tue Jan 25 2022 tex - 9.1.0-1pclos2022
- new version

* Tue Dec 01 2020 tex - 9.0.4-1pclos2020
- new version

* Sun Aug 30 2020 tex - 9.0.2-1pclos2020
- New version 9.0.2
